Bug 998092 - SELinux is preventing /usr/java/jdk1.7.0_25/jre/bin/java from 'create' accesses on the file .iBank2.
SELinux is preventing /usr/java/jdk1.7.0_25/jre/bin/java from 'create' access...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:637676a51d653a316bceebc0866...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-17 04:29 EDT by Pavlo Yuriychuk
Modified: 2013-08-20 02:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-20 02:12:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavlo Yuriychuk 2013-08-17 04:29:21 EDT
Description of problem:
Launched internet-banking client applet in firefox. Used oracle JVM for java plugin.
https://ibank.procreditbank.com.ua/ - applet page, ProCredit bank
SELinux is preventing /usr/java/jdk1.7.0_25/jre/bin/java from 'create' accesses on the file .iBank2.

*****  Plugin mozplugger (99.1 confidence) suggests  *************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests  ***************************

If you believe that java should be allowed create access on the .iBank2 file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep java /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:user_home_dir_t:s0
Target Objects                .iBank2 [ file ]
Source                        java
Source Path                   /usr/java/jdk1.7.0_25/jre/bin/java
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           jdk-1.7.0_25-fcs.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-69.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.5-201.fc19.x86_64 #1 SMP Wed
                              Aug 7 16:25:24 UTC 2013 x86_64 x86_64
Alert Count                   5
First Seen                    2013-08-15 19:56:27 EEST
Last Seen                     2013-08-17 10:04:14 EEST
Local ID                      e87de475-8820-424e-b22a-a8afce647573

Raw Audit Messages
type=AVC msg=audit(1376723054.592:711): avc:  denied  { create } for  pid=13985 comm="java" name=".iBank2" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file


type=SYSCALL msg=audit(1376723054.592:711): arch=x86_64 syscall=open success=no exit=EACCES a0=7f154c1b27c0 a1=42 a2=1b6 a3=7f15c5ebc6a0 items=0 ppid=13874 pid=13985 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=java exe=/usr/java/jdk1.7.0_25/jre/bin/java subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: java,mozilla_plugin_t,user_home_dir_t,file,create

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.5-201.fc19.x86_64
type:           libreport

Potential duplicate: bug 967646
Comment 1 Daniel Walsh 2013-08-17 06:38:55 EDT
We could add labeling for this, but it seems that it might be best to turn off the enforcement.  We want to discourage apps from writing all over the homedir.

  
*****  Plugin mozplugger (99.1 confidence) suggests  *************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool unconfined_mozilla_plugin_transition 0

Or you could just do chcon -t mozilla_home_t ~/.ibank2

Note You need to log in before you can comment on or make changes to this bug.